Subject: Re: [PATCH net v4 2/2] arp: switch to dev_getbyhwaddr() in arp_req_set_public()

From: Jakub Kicinski <[email-masked]>
Date: Mon, 17 Feb 2025 16:33:44 -0800

On Thu, 13 Feb 2025 04:42:38 -0800 Breno Leitao wrote:
> The arp_req_set_public() function is called with the rtnl lock held,
> which provides enough synchronization protection. This makes the RCU
> variant of dev_getbyhwaddr() unnecessary. Switch to using the simpler
> dev_getbyhwaddr() function since we already have the required rtnl
> locking.
> 
> This change helps maintain consistency in the networking code by using
> the appropriate helper function for the existing locking context.

I think you should make it clearer whether this fixes a splat with
PROVE_RCU_LIST=y